Autor Zpráva
DJ Miky
Profil
Zdravím.

Nevíte, jak nastavit do konfigurace Apache 2.2 (httpd.conf) PHP 6? Nebo alespoň název modulu, píše mi to chybu, něco že ten název nelze v modulu najít...

A také jak pro Apache 2.2 nastavit PHPIniDir (tato direktiva z 2.0 v 2.2 neexistuje).

Díky za odpovědi.
Anonymní
Profil *
PHP 6? AFAIK najnovšia verzia PHP je 5.1.4

PHP 5.1.4 Released
[04-May-2006] A critical bug...
(http://www.php.net)
Polaroid
Profil
Jinak pokud myslíš PHP 5.1.4 pod Apachem 2.2 na Win, tak to také nefunguje.
Je třeba stáhnout si patch resp. opravenou verzi php5apache2.dll z http://www.apachelounge.com/download/
DJ Miky
Profil
ne, myslím opravdu PHP 6, viz třeba snaps.php.net...
Polaroid
Profil
PHP 6 je ve stádiu vývoje, takže je možné, že to nebude fungovat.

Jinak pro PHP 5 na Apache 2.2 to bylo takto:

LoadModule php5_module php/php5apache2.dll
AddType application/x-httpd-php .php
PHPIniDir php

Ale všechny potřebné informace by si měl najít v install.
DJ Miky
Profil
Polaroid
PHP 5 umím zprovoznit, mně jde jen o PHP 6...

BTW, direktiva PHPIniDir na Apache 2.2 nefunguje... nevím proč, ale prostě nefunguje... zkoušel jsem i PHP_INI_DIR nebo PHP_INI jako na starších verzích Apache, ale taky neúspěšně...
anode
Profil
Za nefungující PHPIniDir bych vinil právě PHP, ne Apache - pro Apache je to přece jen nějak pojmenovaná proměnná, to až PHP s ní pracuje.
Funguje na tom Apache 2.2 direktiva PHPIniDir s PHP5? Protože pokud ano, tak jak jsem psal výše...
fkho
Profil *
no ja som lama a prave sa snazim rozchodit php5 na apache2 a toto som nasiel len nahodou. mozno to bude kec odveci ale PHPIniDir musi byt v httpd.conf skwor ako LoadModule phpblabla... ked som to supol nakoniec, pisalo mi to podobnu chybu tak snad pomozem.
DJ Miky
Profil
fkho
Jenže tohle bylo o PHP 6 na Apache 2.2 ...

PHP 5 na Apache 2 umím rozchodit, to už jsem tu psal...
Toto téma je uzamčeno. Odpověď nelze zaslat.